My Project: Pick Class Reference

My Project

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Pick Class Reference

`#include <pick.h>`

## Public Member Functions

| Pick ()

## Static Public Member Functions

static Entity * | CameraPick (Camera *cam, float vx, float vy)
static Entity * | EntityPick (Entity *ent, float range)
static Entity * | LinePick (float x, float y, float z, float dx, float dy, float dz, float radius=0.0)
static int | EntityVisible (Entity *src_ent, Entity *dest_ent)
static float | PickedX ()
static float | PickedY ()
static float | PickedZ ()
static float | PickedNX ()
static float | PickedNY ()
static float | PickedNZ ()
static float | PickedTime ()
static Entity * | PickedEntity ()
static Surface * | PickedSurface ()
static int | PickedTriangle ()
static Entity * | PickMain (float ax, float ay, float az, float bx, float by, float bz, float radius=0.0)

## Static Public Attributes

static const float | EPSILON =0.0001
static list< Entity * > | ent_list
static float | picked_x
static float | picked_y
static float | picked_z
static float | picked_nx
static float | picked_ny
static float | picked_nz
static float | picked_time
static Entity * | picked_ent
static Surface * | picked_surface
static int | picked_triangle

## Constructor & Destructor Documentation

## § Pick()

Pick::Pick | ( |  | ) |

inline

## Member Function Documentation

## § CameraPick()

Entity * Pick::CameraPick | ( | Camera * | cam,
|  | float | vx,
|  | float | vy
| ) |  |

static

## § EntityPick()

Entity * Pick::EntityPick | ( | Entity * | ent,
|  | float | range
| ) |  |

static

## § EntityVisible()

int Pick::EntityVisible | ( | Entity * | src_ent,
|  | Entity * | dest_ent
| ) |  |

static

## § LinePick()

Entity * Pick::LinePick | ( | float | x,
|  | float | y,
|  | float | z,
|  | float | dx,
|  | float | dy,
|  | float | dz,
|  | float | radius = `0.0`
| ) |  |

static

## § PickedEntity()

Entity * Pick::PickedEntity | ( |  | ) |

static

## § PickedNX()

float Pick::PickedNX | ( |  | ) |

static

## § PickedNY()

float Pick::PickedNY | ( |  | ) |

static

## § PickedNZ()

float Pick::PickedNZ | ( |  | ) |

static

## § PickedSurface()

Surface * Pick::PickedSurface | ( |  | ) |

static

## § PickedTime()

float Pick::PickedTime | ( |  | ) |

static

## § PickedTriangle()

int Pick::PickedTriangle | ( |  | ) |

static

## § PickedX()

float Pick::PickedX | ( |  | ) |

static

## § PickedY()

float Pick::PickedY | ( |  | ) |

static

## § PickedZ()

float Pick::PickedZ | ( |  | ) |

static

## § PickMain()

Entity * Pick::PickMain | ( | float | ax,
|  | float | ay,
|  | float | az,
|  | float | bx,
|  | float | by,
|  | float | bz,
|  | float | radius = `0.0`
| ) |  |

static

## Member Data Documentation

## § ent_list

list< Entity * > Pick::ent_list

static

## § EPSILON

const float Pick::EPSILON =0.0001

static

## § picked_ent

Entity * Pick::picked_ent

static

## § picked_nx

float Pick::picked_nx

static

## § picked_ny

float Pick::picked_ny

static

## § picked_nz

float Pick::picked_nz

static

## § picked_surface

Surface * Pick::picked_surface

static

## § picked_time

float Pick::picked_time

static

## § picked_triangle

int Pick::picked_triangle

static

## § picked_x

float Pick::picked_x

static

## § picked_y

float Pick::picked_y

static

## § picked_z

float Pick::picked_z

static

The documentation for this class was generated from the following files:

- openb3dlib.mod/openb3d/src/pick.h
- openb3dlib.mod/openb3d/src/pick.cpp